## powerdevil 5.12.3

=== debian/changelog ===
powerdevil (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:14 +0100

powerdevil (4:5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Update install files
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:58 +0100

powerdevil (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:11 +0100

powerdevil (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:58 +0100

powerdevil (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:14 +0100

powerdevil (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:24 -0300

powerdevil (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:48 +0200

powerdevil (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

  [ Raymond Wooninck ]
  * Fix install list

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:43 +0200

powerdevil (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:24 +0100

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               libkf5activities-dev,
               libkf5auth-dev,
               libkf5bluezqt-dev,
               libkf5config-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5idletime-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5kio-dev,
               libkf5networkmanagerqt-dev,
               libkf5notifyconfig-dev (>= 5.2.0),
               libkf5screen-dev (>= 4:5.6),
               libkf5solid-dev,
               libkf5wayland-dev,
               libqt5x11extras5-dev (>= 5.7.0~),
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.2.1),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpowerdevilcore1
Replaces: libpowerdevilcore1
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: libpowerdevilui5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: powerdevil
Architecture: any
Depends: powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-workspace-data (<< 4:4.98.0)
Replaces: kde-workspace-data (<< 4:4.98.0)
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Global power saver settings data files.
 Power Devil allows you to define your all power settings.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         libpowerdevilui5 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.

## powerdevil 5.12.4

=== CMakeLists.txt ===
project(PowerDevil)
set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.7.0")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# require at least gcc 4.8
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if ("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "4.8")
        message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
    endif()
endif()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus X11Extras)
find_package(KF5 REQUIRED COMPONENTS Activities Auth IdleTime Config DBusAddons Solid I18n GlobalAccel KIO NotifyConfig Screen KDELibs4Support Wayland)
find_package(LibKWorkspace CONFIG REQUIRED)

find_package(KF5BluezQt)
set_package_properties(KF5BluezQt
    PROPERTIES DESCRIPTION "Qt wrapper for BlueZ 5 DBus API"
    TYPE OPTIONAL
    PURPOSE "Support for wireless energy saving actions"
)
find_package(KF5NetworkManagerQt)
set_package_properties(KF5NetworkManagerQt
    PROPERTIES DESCRIPTION "Qt wrapper for NetworkManager API"
    TYPE OPTIONAL
    PURPOSE "Support for wireless energy saving actions"
)

set(HAVE_WIRELESS_SUPPORT FALSE)
if(KF5NetworkManagerQt_FOUND AND KF5BluezQt_FOUND)
    set(HAVE_WIRELESS_SUPPORT TRUE)
endif()
add_feature_info(
    "Wireless power saving"
    HAVE_WIRELESS_SUPPORT
    "Support turning off signal-transmitting devices to save energy"
)

find_package(UDev REQUIRED)

find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)

if(WITH_DDCUTIL)
  find_package(DDCUtil)
  set_package_properties(DDCUtil
      PROPERTIES DESCRIPTION "DDCUtil library support"
      TYPE OPTIONAL
      PURPOSE "Set monitor settings over DDC/CI channel"
  )
else()
  add_feature_info("DDCUtil" "Off" "DDCUtil library support is disabled by default as recomemded by authors, add -DWITH_DDCUTIL=On to enable")
endif()

include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/daemon
)

add_definitions(-DQT_NO_KEYWORDS)

add_definitions(-DQT_NO_KEYWORDS)

add_subdirectory(daemon)
add_subdirectory(kcmodule)
add_subdirectory(doc)

install( FILES powerdevil.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR} )

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== daemon/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevil\" -DQT_USE_QSTRINGBUILDER)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(actions)

set(POWERDEVIL_CORE_VERSION_MAJOR 2)
set(POWERDEVIL_CORE_VERSION_MINOR 0)
set(POWERDEVIL_CORE_VERSION_MICRO 0)
set(POWERDEVIL_CORE_VERSION_STRING ${POWERDEVIL_CORE_VERSION_MAJOR}.${POWERDEVIL_CORE_VERSION_MINOR}.${POWERDEVIL_CORE_VERSION_MICRO})

# Add bundled actions
set(powerdevil_bundled_actions_SRCS
    powerdevil_debug.cpp
    actions/bundled/suspendsession.cpp
    actions/bundled/brightnesscontrol.cpp
    actions/bundled/keyboardbrightnesscontrol.cpp
    actions/bundled/dimdisplay.cpp
    actions/bundled/runscript.cpp
    actions/bundled/handlebuttonevents.cpp
)

if(HAVE_WIRELESS_SUPPORT)
    set(powerdevil_bundled_actions_SRCS ${powerdevil_bundled_actions_SRCS}
        actions/bundled/wirelesspowersaving.cpp
    )
endif()

# target no.1 - powerdevil core library
set(powerdevilcore_SRCS
    powerdevil_debug.cpp
    powerdevilaction.cpp
    powerdevilactionpool.cpp
    powerdevilbackendinterface.cpp
    powerdevilcore.cpp
    powerdevilpolicyagent.cpp
    powerdevilprofilegenerator.cpp
    powerdevilbrightnesslogic.cpp
    powerdevilscreenbrightnesslogic.cpp
    powerdevilkeyboardbrightnesslogic.cpp
    brightnessosdwidget.cpp
    kwinkscreenhelpereffect.cpp
)

kconfig_add_kcfg_files(powerdevilcore_SRCS ../PowerDevilSettings.kcfgc)

# Action DBus Adaptors
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml
                     actions/bundled/brightnesscontrol.h PowerDevil::BundledActions::BrightnessControl)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.KeyboardBrightnessControl.xml
                     actions/bundled/keyboardbrightnesscontrol.h PowerDevil::BundledActions::KeyboardBrightnessControl)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.HandleButtonEvents.xml
                     actions/bundled/handlebuttonevents.h PowerDevil::BundledActions::HandleButtonEvents)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.SuspendSession.xml
                     actions/bundled/suspendsession.h PowerDevil::BundledActions::SuspendSession)
if(HAVE_WIRELESS_SUPPORT)
    qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.WirelessPowerSaving.xml
                         actions/bundled/wirelesspowersaving.h PowerDevil::BundledActions::WirelessPowerSaving)
endif()

qt5_add_dbus_interface(powerdevilcore_SRCS org.freedesktop.ScreenSaver.xml screenlocker_interface)

add_library(powerdevilcore SHARED ${powerdevilcore_SRCS} ${powerdevil_bundled_actions_SRCS})
set_target_properties(powerdevilcore PROPERTIES VERSION ${POWERDEVIL_CORE_VERSION_STRING} SOVERSION ${POWERDEVIL_CORE_VERSION_MAJOR})

# not exported, so just make the deps public
target_link_libraries(powerdevilcore
    KF5::Activities
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::DBusAddons
    KF5::I18n
    KF5::Solid
    KF5::IdleTime
    KF5::GlobalAccel
    KF5::Screen
    KF5::Service
    KF5::WidgetsAddons
    KF5::Notifications
    KF5::XmlGui
    PW::KWorkspace
)

if(HAVE_WIRELESS_SUPPORT)
    target_link_libraries(powerdevilcore
        KF5::NetworkManagerQt
        KF5::BluezQt
    )
endif()

if (XCB_FOUND) # kwin kscreen helper effect
    target_link_libraries(powerdevilcore Qt5::X11Extras XCB::XCB)
endif ()

# target no.2 - powerdevil kded module
set(powerdevil_SRCS
    powerdevil_debug.cpp
    powerdevilapp.cpp
    powerdevilfdoconnector.cpp
)

# DBus Adaptors
qt5_add_dbus_adaptor(powerdevil_SRCS org.kde.Solid.PowerManagement.xml powerdevilcore.h PowerDevil::Core)
qt5_add_dbus_adaptor(powerdevil_SRCS org.kde.Solid.PowerManagement.PolicyAgent.xml
                                         powerdevilpolicyagent.h PowerDevil::PolicyAgent
                                         powermanagementpolicyagentadaptor PowerManagementPolicyAgentAdaptor)

qt5_add_dbus_adaptor(powerdevil_SRCS ${KDE4_DBUS_INTERFACES_DIR}/kf5_org.freedesktop.PowerManagement.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementfdoadaptor PowerManagementFdoAdaptor)
qt5_add_dbus_adaptor(powerdevil_SRCS ${KDE4_DBUS_INTERFACES_DIR}/kf5_org.freedesktop.PowerManagement.Inhibit.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementinhibitadaptor PowerManagementInhibitAdaptor)


# Backends
add_subdirectory(backends)

add_executable(powerdevil ${powerdevil_SRCS})
set_target_properties(powerdevil PROPERTIES OUTPUT_NAME org_kde_powerdevil)
configure_file(powerdevil.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/powerdevil.desktop)

target_link_libraries(powerdevil
    KF5::Crash
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::DBusAddons
    powerdevilcore
)
if (XCB_FOUND)
    target_link_libraries(powerdevil Qt5::X11Extras)
endif ()

target_link_libraries(powerdevil ${UDEV_LIBS})

install(TARGETS powerdevil DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/powerdevil.desktop
        DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(TARGETS powerdevilcore ${INSTALL_TARGETS_DEFAULT_ARGS})

# target no.3 - powerdevil ui library
set(powerdevilui_SRCS
    powerdevilactionconfig.cpp
)

add_library(powerdevilui ${powerdevilui_SRCS})
set_target_properties(powerdevilui PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

# not exported, so just make the deps public
target_link_libraries(powerdevilui
    PUBLIC
        Qt5::Widgets
        KF5::ConfigCore
)

set(HAVE_XCB ${XCB_FOUND})
configure_file(config-powerdevil.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-powerdevil.h )

install(TARGETS powerdevilui ${INSTALL_TARGETS_DEFAULT_ARGS})

=== daemon/actions/CMakeLists.txt ===
install(FILES powerdevilaction.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(bundled)
add_subdirectory(dpms)

=== daemon/backends/CMakeLists.txt ===
########################## UPower Backend #####################################
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/upower
                    ${X11_INCLUDE_DIR}
                    ${X11_Xrandr_INCLUDE_PATH})

set(powerdevilupowerbackend_SRCS
    ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
    upower/upowersuspendjob.cpp
    upower/login1suspendjob.cpp
    upower/powerdevilupowerbackend.cpp
    upower/xrandrbrightness.cpp
    upower/xrandrxcbhelper.cpp
    upower/udevqtclient.cpp
    upower/udevqtdevice.cpp
    upower/ddcutilbrightness.cpp
)

set_source_files_properties(
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.xml
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.Device.xml
PROPERTIES NO_NAMESPACE TRUE)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.xml
upower_interface)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.Device.xml
upower_device_interface)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.KbdBacklight.xml
upower_kbdbacklight_interface)

## backlight helper executable
add_executable(backlighthelper upower/backlighthelper.cpp ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp ${backlighthelper_mocs})
target_link_libraries(backlighthelper Qt5::Core KF5::Auth KF5::I18n)
install(TARGETS backlighthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(backlighthelper org.kde.powerdevil.backlighthelper root)
kauth_install_actions(org.kde.powerdevil.backlighthelper ${CMAKE_CURRENT_SOURCE_DIR}/upower/backlight_helper_actions.actions)

## discrete gpu helper executable
add_executable(discretegpuhelper upower/discretegpuhelper.cpp ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp ${discretegpuhelper_mocs})
target_link_libraries(discretegpuhelper Qt5::Core KF5::Auth)
install(TARGETS discretegpuhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(discretegpuhelper org.kde.powerdevil.discretegpuhelper root)
kauth_install_actions(org.kde.powerdevil.discretegpuhelper ${CMAKE_CURRENT_SOURCE_DIR}/upower/discretegpu_helper_actions.actions)

add_library(powerdevilupowerbackend ${powerdevilupowerbackend_SRCS})
set_target_properties(powerdevilupowerbackend PROPERTIES PREFIX "")
target_link_libraries(powerdevilupowerbackend
    Qt5::Widgets
    KF5::Auth
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    ${UDEV_LIBS}
    ${X11_LIBRARIES}
    ${X11_Xrandr_LIB}
    ${XCB_XCB_LIBRARY}
    ${XCB_RANDR_LIBRARY}
    powerdevilcore
)
if(DDCUTIL_FOUND)
    target_link_libraries(powerdevilupowerbackend ${LIBDDCUTIL_LIBRARY})
endif()

install(TARGETS powerdevilupowerbackend DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/powerdevil)

=== debian/changelog ===
powerdevil (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:56:20 +0100

powerdevil (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:30 +0000

powerdevil (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)
  * Update install files for upstrean removed
    'powerdevil_move_shortcuts' kconf_update script

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:44:05 +0000

powerdevil (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:14:07 +0000

powerdevil (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * Install kconf_update script
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:34 +0000

powerdevil (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:40:20 +0000

powerdevil (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:17:04 -0600

powerdevil (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:41 +0000

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               kinit-dev (>= 5.42.0~),
               kwayland-dev (>= 4:5.42.0~),
               libkf5activities-dev (>= 5.42.0~),
               libkf5auth-dev (>= 5.42.0~),
               libkf5bluezqt-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5globalaccel-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5idletime-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5networkmanagerqt-dev (>= 5.42.0~),
               libkf5notifyconfig-dev (>= 5.42.0~),
               libkf5screen-dev (>= 4:5.12.4~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.12.4~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil

Package: libpowerdevilcore2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpowerdevilcore1
Replaces: libpowerdevilcore1
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: libpowerdevilui5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: powerdevil
Architecture: any
Depends: powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-workspace-data (<< 4:4.98.0)
Replaces: kde-workspace-data (<< 4:4.98.0)
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Global power saver settings data files.
 Power Devil allows you to define your all power settings.

Package: powerdevil-dev
Architecture: any
Section: devel
Depends: libpowerdevilcore2 (= ${binary:Version}),
         libpowerdevilui5 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends}
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='powerdevil-dbg (<= 4:5.5.5-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/powerdevil-([\d.]+)\.tar\.xz

## powerdevil 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(PowerDevil)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== doc/CMakeLists.txt ===
add_subdirectory(kcm)

=== kcmodule/common/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libpowerdevilcommonconfig\")

set( powerdevil_config_common_private_SRCS
    ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
    actionconfigwidget.cpp
    actioneditwidget.cpp
    ErrorOverlay.cpp
)

add_library(powerdevilconfigcommonprivate SHARED ${powerdevil_config_common_private_SRCS})

# not exported, so just make the links public
target_link_libraries(powerdevilconfigcommonprivate
    PUBLIC
        powerdevilcore
        powerdevilui
        KF5::I18n
        KF5::Service
)

set_target_properties(powerdevilconfigcommonprivate PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install( TARGETS powerdevilconfigcommonprivate ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== kcmodule/global/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevilglobalconfig\")

set( kcm_powerdevil_global_SRCS
     GeneralPage.cpp
)

ki18n_wrap_ui(kcm_powerdevil_global_SRCS
    generalPage.ui)

kconfig_add_kcfg_files(kcm_powerdevil_global_SRCS ../../PowerDevilSettings.kcfgc)

add_library(kcm_powerdevilglobalconfig MODULE ${kcm_powerdevil_global_SRCS})

target_link_libraries(kcm_powerdevilglobalconfig
     KF5::ConfigWidgets
     KF5::KIOWidgets
     KF5::Solid
     KF5::NotifyConfig
     KF5::KDELibs4Support
     powerdevilconfigcommonprivate
)

install(TARGETS kcm_powerdevilglobalconfig  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES powerdevilglobalconfig.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kcmodule/profiles/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevilprofilesconfig\")

set( kcm_powerdevil_profiles_SRCS
     ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
     EditPage.cpp
     ${PowerDevil_SOURCE_DIR}/daemon/powerdevilprofilegenerator.cpp
)

ki18n_wrap_ui(kcm_powerdevil_profiles_SRCS
    profileEditPage.ui)

kconfig_add_kcfg_files(kcm_powerdevil_profiles_SRCS ../../PowerDevilSettings.kcfgc)

add_library(kcm_powerdevilprofilesconfig MODULE ${kcm_powerdevil_profiles_SRCS})

target_link_libraries(kcm_powerdevilprofilesconfig
     KF5::KIOWidgets
     KF5::Solid
     KF5::ConfigGui
     KF5::ConfigWidgets
     KF5::KDELibs4Support
     powerdevilui
     powerdevilconfigcommonprivate
)

install(TARGETS kcm_powerdevilprofilesconfig  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES powerdevilprofilesconfig.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== daemon/actions/bundled/CMakeLists.txt ===
function(add_powerdevil_bundled_action _name)
    set(actionconfig_SRCS ${_name}config.cpp)
    add_library(powerdevil${_name}action_config MODULE
                    ${actionconfig_SRCS})
    target_link_libraries(powerdevil${_name}action_config
                        powerdevilui
                        Qt5::Widgets
                        KF5::CoreAddons
                        KF5::I18n
                        KF5::ConfigGui
                        KF5::XmlGui
                        ${ARGN})
    install(TARGETS powerdevil${_name}action_config DESTINATION ${PLUGIN_INSTALL_DIR})
    install(FILES powerdevil${_name}action.desktop DESTINATION ${SERVICES_INSTALL_DIR})
endfunction(add_powerdevil_bundled_action _name)

add_powerdevil_bundled_action(brightnesscontrol KF5::GlobalAccel)
add_powerdevil_bundled_action(keyboardbrightnesscontrol)
add_powerdevil_bundled_action(dimdisplay)
add_powerdevil_bundled_action(runscript KF5::KIOCore KF5::KIOWidgets)
add_powerdevil_bundled_action(suspendsession KF5::KIOCore KF5::KIOWidgets KF5::Solid KF5::KDELibs4Support)
if(HAVE_WIRELESS_SUPPORT)
    add_powerdevil_bundled_action(wirelesspowersaving KF5::NetworkManagerQt KF5::BluezQt)
endif()

set(actionconfig_SRCS handlebuttoneventsconfig.cpp)
qt5_add_dbus_interface(actionconfig_SRCS
    ${CMAKE_SOURCE_DIR}/daemon/backends/upower/dbus/org.freedesktop.UPower.xml
    upower_interface)
add_library(powerdevilhandlebuttoneventsaction_config MODULE
                ${actionconfig_SRCS})
target_link_libraries(powerdevilhandlebuttoneventsaction_config
                    powerdevilui
                    Qt5::Widgets
                    KF5::CoreAddons
                    KF5::I18n
                    KF5::ConfigGui
                    KF5::Solid
                    KF5::XmlGui
                    KF5::KDELibs4Support
                    )
install(TARGETS powerdevilhandlebuttoneventsaction_config DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES powerdevilhandlebuttoneventsaction.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
powerdevil (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:41 +0100

powerdevil (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:26 +0100

powerdevil (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:57 +0100

powerdevil (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:35:18 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5kio-dev (>= 5.42.0~),
                libkf5networkmanagerqt-dev (>= 5.42.0~),
                libkf5notifyconfig-dev (>= 5.42.0~),
-               libkf5screen-dev (>= 4:5.12.4~),
+               libkf5screen-dev (>= 4:5.12.8~),
                libkf5solid-dev (>= 5.42.0~),
                libkf5wayland-dev (>= 4:5.42.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
@@ -38,8 +38,8 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12.4~),
-               qtbase5-dev (>= 5.6.1~)
+               plasma-workspace-dev (>= 4:5.12.8~),
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
@@ -89,7 +89,7 @@
 Depends: libpowerdevilcore2 (= ${binary:Version}),
          libpowerdevilui5 (= ${binary:Version}),
          powerdevil (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Global power saver settings.
  Power Devil allows you to define your all power settings.
  .

## powerdevil 5.13.5

=== debian/changelog ===
powerdevil (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Plasma build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:36:03 +0100

powerdevil (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:47 +0200

powerdevil (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Plasma build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 16:13:55 +0100

powerdevil (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.13.4).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:25 +0200

powerdevil (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:44:03 +0100

powerdevil (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:27:11 +0100

powerdevil (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:28 +0200

powerdevil (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:23 +0100

powerdevil (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:14 +0200

powerdevil (4:5.12.5-0ubuntu3) cosmic; urgency=medium

  * Rebuild against kauth 5.47, for altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:20:33 +0100

powerdevil (4:5.12.5-0ubuntu2) cosmic; urgency=medium

  * Build depend on libkf5wayland-dev instead of transitional kwayland-
    dev being dropped in Frameworks 5.47

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Jun 2018 19:04:25 +0100

powerdevil (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:22 +0100

powerdevil (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,29 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                kinit-dev (>= 5.42.0~),
-               kwayland-dev (>= 4:5.42.0~),
                libkf5activities-dev (>= 5.42.0~),
                libkf5auth-dev (>= 5.42.0~),
                libkf5bluezqt-dev (>= 5.42.0~),
                libkf5config-dev (>= 5.42.0~),
+               libkf5crash-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5doctools-dev (>= 5.42.0~),
                libkf5globalaccel-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5idletime-dev (>= 5.42.0~),
                libkf5kdelibs4support-dev (>= 5.42.0~),
                libkf5kio-dev (>= 5.42.0~),
                libkf5networkmanagerqt-dev (>= 5.42.0~),
+               libkf5notifications-dev (>= 5.42.0~),
                libkf5notifyconfig-dev (>= 5.42.0~),
-               libkf5screen-dev (>= 4:5.12.8~),
+               libkf5screen-dev (>= 4:5.13.5~),
                libkf5solid-dev (>= 5.42.0~),
                libkf5wayland-dev (>= 4:5.42.0~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                libudev-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -38,16 +40,16 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12.8~),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+               plasma-workspace-dev (>= 4:5.13.5~),
+               qtbase5-dev (>= 5.9.0~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
 
 Package: libpowerdevilcore2
+Section: libs
 Architecture: any
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libpowerdevilcore1
 Replaces: libpowerdevilcore1
@@ -57,8 +59,8 @@
  This package contains the library files.
 
 Package: libpowerdevilui5
+Section: libs
 Architecture: any
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Global power saver settings ui library.
  Power Devil allows you to define your all power settings.
@@ -69,7 +71,7 @@
 Architecture: any
 Depends: powerdevil-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: kde-workspace-data (<< 4:4.98.0)
 Replaces: kde-workspace-data (<< 4:4.98.0)
 Description: Global power saver settings.
@@ -84,8 +86,8 @@
  Power Devil allows you to define your all power settings.
 
 Package: powerdevil-dev
+Section: devel
 Architecture: any
-Section: devel
 Depends: libpowerdevilcore2 (= ${binary:Version}),
          libpowerdevilui5 (= ${binary:Version}),
          powerdevil (= ${binary:Version}),

## powerdevil 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
+cmake_minimum_required(VERSION 3.0)
+
 project(PowerDevil)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.7.0")
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
 
-find_package(ECM 1.2.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(FeatureSummary)
-include(WriteBasicConfigVersionFile)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -22,16 +23,17 @@
 endif()
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus X11Extras)
-find_package(KF5 REQUIRED COMPONENTS Activities Auth IdleTime Config DBusAddons Solid I18n GlobalAccel KIO NotifyConfig Screen KDELibs4Support Wayland)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Activities Auth IdleTime Config DBusAddons Solid I18n GlobalAccel KIO NotifyConfig Wayland DocTools Crash Notifications)
+find_package(KF5Screen CONFIG REQUIRED)
 find_package(LibKWorkspace CONFIG REQUIRED)
 
-find_package(KF5BluezQt)
+find_package(KF5BluezQt ${KF5_MIN_VERSION})
 set_package_properties(KF5BluezQt
     PROPERTIES DESCRIPTION "Qt wrapper for BlueZ 5 DBus API"
     TYPE OPTIONAL
     PURPOSE "Support for wireless energy saving actions"
 )
-find_package(KF5NetworkManagerQt)
+find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION})
 set_package_properties(KF5NetworkManagerQt
     PROPERTIES DESCRIPTION "Qt wrapper for NetworkManager API"
     TYPE OPTIONAL
@@ -48,12 +50,15 @@
     "Support turning off signal-transmitting devices to save energy"
 )
 
+find_package(LibKWorkspace ${PROJECT_VERSION} REQUIRED)
+
 find_package(UDev REQUIRED)
 
 find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)
 
+option(WITH_DDCUTIL "DDCUtil library support" OFF)
 if(WITH_DDCUTIL)
-  find_package(DDCUtil)
+  find_package(DDCUtil REQUIRED)
   set_package_properties(DDCUtil
       PROPERTIES DESCRIPTION "DDCUtil library support"
       TYPE OPTIONAL
@@ -70,17 +75,13 @@
 
 add_definitions(-DQT_NO_KEYWORDS)
 
-add_definitions(-DQT_NO_KEYWORDS)
-
 add_subdirectory(daemon)
 add_subdirectory(kcmodule)
 add_subdirectory(doc)
 
-install( FILES powerdevil.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR} )
+install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )
 
-if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
-    feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-endif()
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== kcmodule/common/CMakeLists.txt ===
--- 
+++ 
@@ -20,4 +20,4 @@
 
 set_target_properties(powerdevilconfigcommonprivate PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
 
-install( TARGETS powerdevilconfigcommonprivate ${INSTALL_TARGETS_DEFAULT_ARGS} )
+install( TARGETS powerdevilconfigcommonprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== kcmodule/global/CMakeLists.txt ===
--- 
+++ 
@@ -14,11 +14,9 @@
 target_link_libraries(kcm_powerdevilglobalconfig
      KF5::ConfigWidgets
      KF5::KIOWidgets
-     KF5::Solid
      KF5::NotifyConfig
-     KF5::KDELibs4Support
      powerdevilconfigcommonprivate
 )
 
-install(TARGETS kcm_powerdevilglobalconfig  DESTINATION ${PLUGIN_INSTALL_DIR} )
-install( FILES powerdevilglobalconfig.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
+install(TARGETS kcm_powerdevilglobalconfig  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
+install( FILES powerdevilglobalconfig.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== debian/changelog ===
powerdevil (4:5.14.5-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Drop the migration from powerdevil-dbg, no more needed after two Debian
    stable releases.
  * Migrate D-Bus configuration files from /etc to /usr, according to the newer
    ECM.
  * Do not use the ${shlibs:Depends} substvar for powerdevil-data, as it is
    an arch:all package.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Oct 2019 09:07:42 +0200

powerdevil (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:15 -0300

powerdevil (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:59 -0300

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
-               kinit-dev (>= 5.42.0~),
-               libkf5activities-dev (>= 5.42.0~),
-               libkf5auth-dev (>= 5.42.0~),
-               libkf5bluezqt-dev (>= 5.42.0~),
-               libkf5config-dev (>= 5.42.0~),
-               libkf5crash-dev (>= 5.42.0~),
-               libkf5dbusaddons-dev (>= 5.42.0~),
-               libkf5doctools-dev (>= 5.42.0~),
-               libkf5globalaccel-dev (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
-               libkf5idletime-dev (>= 5.42.0~),
-               libkf5kdelibs4support-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.42.0~),
-               libkf5networkmanagerqt-dev (>= 5.42.0~),
-               libkf5notifications-dev (>= 5.42.0~),
-               libkf5notifyconfig-dev (>= 5.42.0~),
-               libkf5screen-dev (>= 4:5.13.5~),
-               libkf5solid-dev (>= 5.42.0~),
-               libkf5wayland-dev (>= 4:5.42.0~),
-               libqt5x11extras5-dev (>= 5.9.0~),
+               extra-cmake-modules (>= 5.50.0~),
+               kinit-dev,
+               libkf5activities-dev (>= 5.50.0~),
+               libkf5auth-dev (>= 5.50.0~),
+               libkf5bluezqt-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.50.0~),
+               libkf5crash-dev (>= 5.50.0~),
+               libkf5dbusaddons-dev (>= 5.50.0~),
+               libkf5doctools-dev (>= 5.50.0~),
+               libkf5globalaccel-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5idletime-dev (>= 5.50.0~),
+               libkf5kdelibs4support-dev (>= 5.2.0),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5networkmanagerqt-dev (>= 5.50.0~),
+               libkf5notifications-dev (>= 5.50.0~),
+               libkf5notifyconfig-dev (>= 5.50.0~),
+               libkf5screen-dev (>= 4:5.6),
+               libkf5solid-dev (>= 5.50.0~),
+               libkf5wayland-dev (>= 4:5.50.0~),
+               libqt5x11extras5-dev (>= 5.11.0~),
                libudev-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -40,12 +40,12 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.13.5~),
-               qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.1.4
+               plasma-workspace-dev (>= 4:5.14.5~),
+               qtbase5-dev (>= 5.11.0~),
+Standards-Version: 4.4.1
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
 
 Package: libpowerdevilcore2
 Section: libs
@@ -79,7 +79,7 @@
 
 Package: powerdevil-data
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: Global power saver settings data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol
